<?php

$user_id=abs(intval($_SESSION['id']));
$row=$dbc->query("select * from  users where id = '$user_id' limit 1")->fetch_assoc();


$count=mysqli_num_rows(mysqli_query($dbc,"SELECT COUNT(*) FROM`sklad_log` where clan_id ='".$row['clan']."'"));



include_once 'nav_class.php';
echo"<div class='r6'>Лог:</div>";
//Эх подстраничная навигация нелезть:)
$nstr='10'; //Сообщений на страницу
$countQ=$dbc->query("SELECT * FROM`sklad_log` where clan_id ='".$row['clan']."'"); #запрос в бд
$count=mysqli_num_rows($countQ); //Подсчёт строк
$pages = new Navigator($count,$nstr); #Вызов класса подстраничной навигации и расчёт страниц
$str = $pages -> start; //Сам хз что))
$query_us = "Select * from `sklad_log` where clan_id ='".$row['clan']."' order by id desc LIMIT $str,$nstr";
      $result_us = mysqli_query($dbc, $query_us) or die ('Ошибка передачи запроса к БД');
	  while ($row_us = mysqli_fetch_array($result_us)) {
$user=$dbc->query("select * from  users where id = '".$row_us[user_id]."'")->fetch_assoc();
$g=$user['clan_rang'];
if($g=='0'){$clan_rang='<img src="/img/plus2.png" height="12" width="12"/>';}elseif($g=='1'){$clan_rang='<img src="/img/rangs/rekryton.png" height="12" width="12"/>';}elseif($g=='2'){$clan_rang='<img src="/img/rangs/ryadovoyon.png" height="12" width="12"/>';}elseif($g=='3'){$clan_rang='<img src="/img/rangs/serjanton.png" height="12" width="12"/>';}elseif($g=='4'){$clan_rang='<img src="/img/rangs/leitenanton.png" height="12" width="12"/>';}elseif($g=='5'){$clan_rang='<img src="/img/rangs/kapitanon.png" height="12" width="12"/>';}elseif($g=='6'){$clan_rang='<img src="/img/rangs/mayoron.png" height="12" width="12"/>';}elseif($g=='7'){$clan_rang='<img src="/img/rangs/polkovnikon.png" height="12" width="12"/>';}elseif($g=='8'){$clan_rang='<img src="/img/rangs/generalon.png" height="12" width="12"/>';}elseif($g=='9'){$clan_rang='<img src="/img/rangs/lideron.png" height="12" width="12"/>';}
$last_active = $user['last_active'];$last_active = strtotime("$last_active");$now = (date("Y-m-d H:i:s"));$now = strtotime("$now");$ont = ($now - $last_active);
if($ont<300){$onl='<img src="/img/ico/on.png" height="12" width="12"/>';}else{$onl='<img src="/img/ico/off.png" height="12" width="12"/>';}
$razn_last_act=time()-$row_us[time];
echo'</p>[';	
include'conf/time.php';
echo']';
echo''.$onl.''.$clan_rang.' <a style="text-decoration:none;" class="lal2" href="user.php?id='.$row_us[user_id].'"><span class="white">'.$user['nick'].'</span></a>';


if($row_us[tip]=='1'){echo' <span class="bonus">вложил</span> ';}else{echo' <span class="red">взял</span> ';}
echo''.$row_us[summa].'';
if($row_us[valuta]=='2'){echo'<img src="img/ico/materials.png"/>хабара';}else{echo'<img src="img/ico/money.png"/>RUB';}
echo'</p>';
}
if($count==0){echo'Вкладов нет!';}
if($count>=1){$pages->print_nav('&');} //Навигация гг
?>